Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.data
Class JRBeanCollectionDataSource

    java.lang.Object
      net.sf.jasperreports.engine.data.JRAbstractBeanDataSource
          net.sf.jasperreports.engine.data.JRBeanCollectionDataSource

All Implemented Interfaces:
  JRDataSource, JRRewindableDataSource

    public class JRBeanCollectionDataSource

extends JRAbstractBeanDataSource

Version:
  $Id: JRBeanCollectionDataSource.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.data.JRAbstractBeanDataSource
`CURRENT_BEAN_MAPPING, FIELD_DESCRIPTION_PROPERTY_NAME_PROVIDER, FIELD_NAME_PROPERTY_NAME_PROVIDER, propertyNameProvider`

Constructor Summary
`JRBeanCollectionDataSource(java.util.Collection beanCollection)`
`JRBeanCollectionDataSource(java.util.Collection beanCollection, boolean isUseFieldDescription)`

Method Summary
`JRBeanCollectionDataSource` | `cloneDataSource()` Clones this data source by creating a new instance that reuses the same underlying bean collection.
`java.util.Collection` | `getData()` Returns the underlying bean collection used by this data source.
`java.lang.Object` | `getFieldValue(JRField field)` Gets the field value for the current position.
`int` | `getRecordCount()` Returns the total number of records/beans that this data source contains.
`void` | `moveFirst()` Moves back to the first element in the data source.
`boolean` | `next()` Tries to position the cursor on the next element in the data source.

Methods inherited from class net.sf.jasperreports.engine.data.JRAbstractBeanDataSource
`getBeanProperty, getFieldValue, getPropertyName, isCurrentBeanMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRBeanCollectionDataSource

    public JRBeanCollectionDataSource(java.util.Collection beanCollection)

### JRBeanCollectionDataSource

    public JRBeanCollectionDataSource(java.util.Collection beanCollection,
                                      boolean isUseFieldDescription)

Method Detail

### next

    public boolean next()

  Description copied from interface: `JRDataSource`
  Tries to position the cursor on the next element in the data source.

  Returns:
    true if there is a next record, false otherwise

### getFieldValue

    public java.lang.Object getFieldValue(JRField field)
                                   throws JRException

  Description copied from interface: `JRDataSource`
  Gets the field value for the current position.

  Returns:
    an object containing the field value. The object type must be the field object type.
  Throws:
    `JRException`

### moveFirst

    public void moveFirst()

  Description copied from interface: `JRRewindableDataSource`
  Moves back to the first element in the data source.

### getData

    public java.util.Collection getData()

  Returns the underlying bean collection used by this data source.

  Returns:
    the underlying bean collection

### getRecordCount

    public int getRecordCount()

  Returns the total number of records/beans that this data source contains.

  Returns:
    the total number of records of this data source

### cloneDataSource

    public JRBeanCollectionDataSource cloneDataSource()

  Clones this data source by creating a new instance that reuses the same underlying bean collection.

  Returns:
    a clone of this data source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com